/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.multipleconditions;

/**
 *
 * @author omozegieaziegbe
 */
public class MultipleConditions {

    public static void main(String[] args) {

        int number = 7;

        // The following if statement has multiple conditions
        if (number < 5 || number > 10 || number % 2 == 0) {
            System.out.println("The number satisfies one of the conditions.");
        } else {
            System.out.println("The number does not satisfy any of the conditions.");
        }

        // Unclear without parentheses
        if (number < 5 || number > 10 || number % 2 == 0) {
            // Code block
        }

        // Clear with parentheses 
        if ((number < 5 || number > 10) || (number % 2 == 0)) {
            // Code block
        }

        // Nested if-else
        if (number < 5) {
            if (number > 10) {
                if (number % 2 == 0) {
                    // Code block

                }
            } else {
                // Code block
            }
        }

        // Flattened if-else
        if ((number < 5 || number > 10) || (number % 2 == 0)) {
            System.out.println("The number satisfies one of the conditions.");
        } else {
            System.out.println("The number does not satisfy any of the conditions.");
        }

        boolean isOutOfRange = (number < 5 || number > 10);
        boolean isEven = (number % 2 == 0);

        if (isOutOfRange || isEven) {
            System.out.println("The number satisfies one of the conditions.");
        } else {
            System.out.println("The number does not satisfy any of the conditions.");
        }

        if (number < 5) {
            // code block
        }
        if (number > 10) {
            //code block
        } else {
            // code block
        }

        // Ternary operator
        String result = (number < 5 || number > 10 || number % 2 == 0) ? "Satisfies" : "Does not satisfy";
        System.out.println("The number " + result + " the conditions.");

        // Less descriptive
if (number > 0 && number < 100 && number == 42) {
    // Code block
}
    }
}
